import java.util.*;

public class females {
   int duration;
   int cyclelength;
   int start;
   int internalclock;
   ArrayList<Integer> bleedingdays = new ArrayList<Integer>();  

	public females(int type) {
		int r = (int)(Math.random()*8);  // 0 to 7
		int[] d = {3, 4, 4, 4, 5, 5, 5, 6};
		duration = d[r];
		Random ran = new Random();
		cyclelength = (int)((ran.nextGaussian()*2.5)+28.7);
		start = (int)(Math.random()*cyclelength);
		internalclock = 0;
		if (type == 1) {
			for (int i = start; i < start + duration; i = i + 1) {
				bleedingdays.add(i % cyclelength);  
			}
		} else {
			bleedingdays = srbleedingdays(start, duration, cyclelength);
		}
	}

	public ArrayList srbleedingdays(int s, int d, int c) {
		ArrayList<Integer> bleedingdays = new ArrayList<Integer>();
		for (int i = start; i < start + duration; i = i + 1) {
			bleedingdays.add(i % cyclelength);  
		}
		return bleedingdays;
	}
   
   public void setDuration(int d) {
      duration = d;
   }

   public int getDuration() {
      return duration;
   }
   
   public String toString() {
      return duration + "\n" + cyclelength + "\n" + start + "\n" + bleedingdays;
   }

	public void addday() {
		internalclock += 1;
	}

	public boolean calcisbleeding() {
	    for (int i : bleedingdays) {
     		if (i == internalclock % cyclelength) {
      			return true;
      		}
      	}
  		return false;
  	}

	public static void main(String []args) {
		int type = Integer.parseInt(args[2]);
		int howmany = Integer.parseInt(args[0]);
		int days = Integer.parseInt(args[1]);
		ArrayList<females> pop = createpop(howmany, type);
		printfullness(days, pop);
	}

	public static ArrayList<females> createpop(int total, int type) {
		ArrayList<females> pop = new ArrayList<females>();  
		for (int i = 1; i <= total; i = i + 1) {
			females f = new females(type);
			pop.add(f);
		}
		return pop;
	}

	public static void turnearth(ArrayList<females> pop) {
		for (females f : pop) {
			f.addday();
		}
	}
	
	public static void printfullness(int days, ArrayList<females> pop) {
		int count = 0;

		for (int i = 1; i <= days; i = i + 1) {
		    int bleedingtotal = 0;
			for (females f : pop) {
				if (f.calcisbleeding()) { 
					bleedingtotal += 1;
				}
			}

			count += 1;
			System.out.println(count + " " + bleedingtotal);
			turnearth(pop);
		}	

	}
}
